[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: coreutils-6.5: yet another C89 problem

From: Jim Meyering
Subject: Re: coreutils-6.5: yet another C89 problem
Date: Tue, 21 Nov 2006 20:26:09 +0100

Matthew Woehlke <address@hidden> wrote:
> Jim Meyering wrote:
>> Michael Deutschmann <address@hidden> wrote:
>>> Yet again, a new C89-incompatibility ... [snip]
>> As you can see, I am not very motivated to be
>> proactive about supporting such ancient compilers.
>> Is upgrading not an option for you?
> As I recall, I work with several platforms that do not have C99
> compilers. NSK I know is one, also OSF (which I don't know ho long we're
> stuck with the 4.x series) and Solaris 5.7 (which we also still support
> for our product lines). I haven't tested using a 5.8 compiler against
> 5.7, but at any rate I still run into this sort of thing often enough
> that non-c89 code is annoying.
> ...and unless there is a free upgrade for NSK, then in that case at
> least the answer to 'can you upgrade' is "no".

Don't worry.  Support for pre-C99 compilers won't go away soon, but it may
continue to lag.  I was simply explaining why (too few people care)
I'm not investing the time to cater proactively to such systems.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]